Bug 753708 - Large borders are not saved in xls format
Large borders are not saved in xls format
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eike Rathke
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-14 04:00 EST by antonio montagnani
Modified: 2012-06-28 11:39 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-28 11:39:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test file (432.59 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-11-15 02:58 EST, antonio montagnani
no flags Details

  None (edit)
Description antonio montagnani 2011-11-14 04:00:51 EST
Description of problem:
Incorrect borders when saving xls document

Version-Release number of selected component (if applicable):
3.4.3.2-15

How reproducible:
always

Steps to Reproduce:
1.Set 3.0 border on any cell
3.
  
Actual results:
All borders saved as 3.0 and became 1.2 upon save/reopen

Expected results:
Shoild be saved and reopened as 3.0

Additional info:
xlsx format is fine
Comment 1 Caolan McNamara 2011-11-14 05:50:50 EST
fallout from Cedric's border re-work ?
Comment 2 antonio montagnani 2011-11-14 10:26:15 EST
I think that this is a big mess-up...

I think that when I choose any border of any point I should see also on the screen, but any width I choose I don't see many changes on screen, even for ods, xlxs and so on.....

Can someone else make additional tests???
Comment 3 Ed Greshko 2011-11-14 20:23:32 EST
Antonio,

In both ods and xls formats I see the changes to borders on screen as I make them.  It is only when working in xls format that the changes are not retained after saving.  FWIW, it seems only the size of the border is not retained.  Both the style and color are retained correctly.

Let me know if you have a specific set of tests you'd like performed.
Comment 4 antonio montagnani 2011-11-15 02:58:02 EST
Created attachment 533702 [details]
Test file

test file...
So anybody has same file
Comment 5 antonio montagnani 2011-11-15 03:09:49 EST
funny...If I save this particular file (test) in xlxs format, openoffice cannot re-open it and crashes.

No idea how to debug
Comment 6 Ed Greshko 2011-11-15 03:39:51 EST
A crash also happens for me.  When it crashes, it brings up ABRT to allow one to submit the report.  That is probably the best option.

FYI, it crashes with a SIGSEGV.
Comment 7 antonio montagnani 2011-11-15 03:54:37 EST
It doesn't brings up ABRT ?? Why??

I will file a separate bug
Comment 8 Eike Rathke 2012-06-28 11:39:01 EDT
It seems this has been fixed in the mean time, a 3.0pt border created survives a save/load cycle using libreoffice-3.4.5.2-15.fc16

Note You need to log in before you can comment on or make changes to this bug.